Bug 1288075 - Wrong swiftoperator role in overcloud
Wrong swiftoperator role in overcloud
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
All Linux
urgent Severity high
: ga
: 8.0 (Liberty)
Assigned To: Hugh Brock
Daniel Mellado
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 07:49 EST by Daniel Mellado
Modified: 2016-03-21 07:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 05:05:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mellado 2015-12-03 07:49:54 EST
Description of problem:

Some tempest tests are failing in the overcloud due to not finding a SwiftOperator role in keystone, but a swiftoperator one (plese do note the capital letters)

[stack@instack ~]$ keystone role-list
+----------------------------------+-----------------+
|                id                |       name      |
+----------------------------------+-----------------+
| 50750af7ca824ec9a258717b2d226286 |  ResellerAdmin  |
| 9fe2ff9ee4384b1894a90878d3e92bab |     _member_    |
| 36b15c86af3a4f5e9a88c4edb061bd9c |      admin      |
| cbbe92296a214b648456ce615bb78f29 | heat_stack_user |
| dee46aef91554c5794fd36386c002c60 |  swiftoperator  | <-should be SwiftOperator
+----------------------------------+-----------------+

How reproducible:

laungh tempest api test for block storage (i.e. tempest.api.object_storage.test_account_bulk.BulkTest)

Actual results:

======================================================================
FAIL: setUpClass (tempest.api.object_storage.test_account_bulk.BulkTest)
tags: worker-0
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/stack/tempest/tempest/test.py", line 272, in setUpClass
    six.reraise(etype, value, trace)
  File "/home/stack/tempest/tempest/test.py", line 260, in setUpClass
    cls.setup_credentials()
  File "/home/stack/tempest/tempest/api/object_storage/base.py", line 39, in setup_credentials
    super(BaseObjectTest, cls).setup_credentials()
  File "/home/stack/tempest/tempest/test.py", line 365, in setup_credentials
    force_new=True)
  File "/home/stack/tempest/tempest/test.py", line 486, in get_client_manager
    creds = cred_provider.get_creds_by_roles(**params)
  File "/home/stack/tempest/tempest/common/isolated_creds.py", line 344, in get_creds_by_roles
    return self.get_credentials(roles)
  File "/home/stack/tempest/tempest/common/isolated_creds.py", line 308, in get_credentials
    credentials = self._create_creds(roles=credential_type)
  File "/home/stack/tempest/tempest/common/isolated_creds.py", line 208, in _create_creds
    self.creds_client.assign_user_role(user, project, role)
  File "/home/stack/tempest/tempest/common/isolated_creds.py", line 60, in assign_user_role
    raise lib_exc.NotFound(msg)
NotFound: Object not found
Details: No "SwiftOperator" role found

Expected results:

The test to pass successfully
Comment 3 chris alfonso 2015-12-07 12:10:01 EST
What is the impact on the end user, outside of running tempest tests?
Comment 6 tkammer 2016-03-04 05:05:54 EST
This has been solved by putting the correct value in the tempest-deployer-input.conf that is provided by the installer

Note You need to log in before you can comment on or make changes to this bug.